This package gathers 3d models used by the HPP project.

* How to add a package?

First, decide how your model will be named, legible names are:
- room-1
- my-new-model
- laas-chair-124
- etc.

Use lowercase only, hypen (``-'') to separate words and numbers only.

Create a new directory using your model's name (here ``my-new-model''
will be used):
$ cd share/hpp-environment
$ mkdir my-new-model
$ cd my-new-model

Then, add (and commit):
- source files (the project used by your 3d modeler so that one can
modfy your model),
- exported files (so one does not need your modeler to use your model).

Source files and exported files should have the same than the model.

Subdirectories can be used to keep things clean if many the model is
composed of many files.


Please, add the following meta-information:

- README: what is the model for, what does it represent and any other
  information that could be useful to use it.

- (optional) screenshot.png: model's screenshot so one can figure out
  what the model is without having to load it manually. Picture size
  is 640x480.

If you are using a modeler which is not listed in the next section,
add it.

And to finish, modify the ``CMakeLists.txt'' in the ``share'' directory
following the template of existing environments

* Used file formats
** Source file formats (used by modelers)

*** AC3D (*.ac)
- URL: http://www.inivis.com/

Proprietary modeler recommanded for use with IRISA/LAGADIC 3d tracker.


** Exported file formats
*** VRML (*.wrl)

Main 3d format for HPP project.
